
QGIS Application - Bug report #8983

Missing tiles when loading WMT-S from EPSG:2193 tileset

2013-11-02 06:39 PM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Web Services clients/WMS

Affected QGIS version:2.0.1 Regression?: No

Operating System: ALL Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17643

Description

When I try to load a EPSG:2193 tileset from this 

http://data-test.linz.govt.nz/services;key=fbd75769082f4e4eac32dcff34fe6946/wmts/1.0.0/layer/589/WMTSCapabilities.xml

The bottom half of the map tiles are missing on the map (See Screenshot). When I zoom in quite a bit the problem goes away.

History

#1 - 2013-11-02 06:47 PM - Jürgen Fischer
http://data-test.linz.govt.nz/services;key=fbd75769082f4e4eac32dcff34fe6946/wmts/1.0.0/layer/589/WMTSCapabilities.xml


Should already be fixed in master.

#2 - 2013-11-03 01:11 AM - Giovanni Manghi

Jürgen Fischer wrote:

Should already fixed in master.

it does not seems, in the log I see messages like

repeat tileRequest 19 tile 0(retry 3)

Tile request max retry error. Failed 3 requests for tile 0 of tileRequest 19 (url: 

http://data-test.linz.govt.nz/services;key=fbd75769082f4e4eac32dcff34fe6946/tiles/v4/layer=589,style=15/EPSG:2193/0/0/3.png)

#3 - 2013-11-03 01:45 AM - Jeremy Palmer

I've also tested latest master and still get the problem.

#4 - 2014-01-29 12:48 PM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#5 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#6 - 2014-02-15 07:24 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

QGIS was respecting the tile matrixes of the services, which matrix height and width were too small.  The service was meanwhile fixed.
